Выполнение FTP команд в mod_proxy_ftp в Apache

Дата публикации:
23.09.2009
Дата изменения:
10.12.2009
Всего просмотров:
3067
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Apache 1.3.x
Apache 2.0.x
Apache 2.2.x
Уязвимые версии: Apache версии 2.2.13, 2.0.63 и 1.3.41

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за ошибки проверки входных данных в модуле "mod_proxy_ftp". Удаленный пользователь может с помощью специально сформированного "Authorization" заголовка, отправленного Web серверу, отправить произвольные FTP команды FTP серверу.

URL производителя: httpd.apache.org

Решение: Установите последнюю версию 2.2.14 с сайта производителя. Уязвимости в версиях 2.0.x и 1.3.x не устранены в настоящее время.

Журнал изменений:

07.10.2009
Изменена секция «Решение».
10.12.2009
Незначительные исправления.

Ссылки: http://intevydis.com/vd-list.shtml
http://httpd.apache.org/security/vulnerabilities_22.html

или введите имя

CAPTCHA